org.apache.hc.client5.testing.async

## Class AbstractSimpleServerExchangeHandler

- java.lang.Object
- - org.apache.hc.core5.http.nio.support.AbstractServerExchangeHandler<SimpleHttpRequest>
  - - org.apache.hc.client5.testing.async.AbstractSimpleServerExchangeHandler

- All Implemented Interfaces:
    AsyncDataConsumer, AsyncDataExchangeHandler, AsyncDataProducer, AsyncServerExchangeHandler, ResourceHolder

      public abstract class AbstractSimpleServerExchangeHandler
      extends AbstractServerExchangeHandler<SimpleHttpRequest>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractSimpleServerExchangeHandler()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `handle(SimpleHttpRequest request, AsyncServerRequestHandler.ResponseTrigger responseTrigger, HttpContext context)`
    `protected abstract SimpleHttpResponse` | `handle(SimpleHttpRequest request, HttpCoreContext context)`
    `protected AsyncRequestConsumer<SimpleHttpRequest>` | `supplyConsumer(HttpRequest request, EntityDetails entityDetails, HttpContext context)`

    - ### Methods inherited from class org.apache.hc.core5.http.nio.support.AbstractServerExchangeHandler

      `available, consume, failed, handleRequest, produce, releaseResources, streamEnd, updateCapacity`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractSimpleServerExchangeHandler

          public AbstractSimpleServerExchangeHandler()

  - ### Method Detail

    - #### handle

          protected abstract SimpleHttpResponse handle(SimpleHttpRequest request,
                                                       HttpCoreContext context)
                                                throws HttpException

      Throws:
        `HttpException`

    - #### supplyConsumer

          protected final AsyncRequestConsumer<SimpleHttpRequest> supplyConsumer(HttpRequest request,
                                                                                 EntityDetails entityDetails,
                                                                                 HttpContext context)
                                                                          throws HttpException

      Specified by:
        `supplyConsumer` in class `AbstractServerExchangeHandler<SimpleHttpRequest>`
      Throws:
        `HttpException`

    - #### handle

          protected final void handle(SimpleHttpRequest request,
                                      AsyncServerRequestHandler.ResponseTrigger responseTrigger,
                                      HttpContext context)
                               throws HttpException,
                                      IOException

      Specified by:
        `handle` in class `AbstractServerExchangeHandler<SimpleHttpRequest>`
      Throws:
        `HttpException`
        `IOException`

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.